ome-qtwidgets 5.3.2

Public Slots | Signals | Public Member Functions | Private Slots | Private Attributes | List of all members
ome::qtwidgets::NavigationDock2D Class Reference

2D dock widget for plane nagivation. More...

`#include <ome/qtwidgets/NavigationDock2D.h>`

Inheritance diagram for ome::qtwidgets::NavigationDock2D:
[legend]
Collaboration diagram for ome::qtwidgets::NavigationDock2D:
[legend]

## Public Slots
void | setPlane (ome::files::dimension_size_type plane)
| Set the current plane for the series. More...

## Signals
void | planeChanged (ome::files::dimension_size_type plane)
| Signal change of plane. More...

## Public Member Functions
| NavigationDock2D (QWidget *parent=0)
| Create a 2D navigation view. More...
| ~NavigationDock2D ()
| Destructor.
void | setReader (ome::compat::shared_ptr< ome::files::FormatReader > reader, ome::files::dimension_size_type series=0, ome::files::dimension_size_type plane=0)
| Set reader, including current series and plane position. More...
ome::files::dimension_size_type | plane () const
| Get the current plane for the series. More...

## Private Slots
void | sliderChangedPlane (int plane)
| Update the current plane number (from slider). More...
void | spinBoxChangedPlane (int plane)
| Update the current plane number (from spinbox). More...
void | sliderChangedDimension (int dim)
| Update the current plane number (from dimension slider). More...
void | spinBoxChangedDimension (int dim)
| Update the current plane number (from dimension spinbox). More...

## Private Attributes
ome::compat::shared_ptr< ome::files::FormatReader > | reader
| The image reader.
ome::files::dimension_size_type | series
| The image series.
ome::files::dimension_size_type | currentPlane
| The image plane.
QLabel * | labels [7]
| Slider labels [NZTCmZmTmC].
QSlider * | sliders [7]
| Sliders [NZTCmZmTmC].
QSpinBox * | spinboxes [7]
| Numeric entries [NZTCmZmTmC].

## Detailed Description

2D dock widget for plane nagivation.

Sliders will be created for each usable dimension, including for Modulo annotations.

## Constructor & Destructor Documentation

## § NavigationDock2D()

ome::qtwidgets::NavigationDock2D::NavigationDock2D | ( | QWidget * | parent = `0` | ) |

Create a 2D navigation view.

The size and position will be taken from the specified image.

Parameters

  parent | the parent of this object.

Enable widgets.

References labels, reader, series, setReader(), sliderChangedDimension(), sliderChangedPlane(), sliders, spinBoxChangedDimension(), spinBoxChangedPlane(), and spinboxes.

## Member Function Documentation

## § plane()

ome::files::dimension_size_type ome::qtwidgets::NavigationDock2D::plane | ( |  | ) | const

Get the current plane for the series.

Returns
  the current plane.

References currentPlane.

Referenced by setPlane().

Here is the caller graph for this function:

## § planeChanged

void ome::qtwidgets::NavigationDock2D::planeChanged | ( | ome::files::dimension_size_type | plane | ) |
| signal

Signal change of plane.

Parameters

  plane | the new image plane.

Referenced by setPlane().

Here is the caller graph for this function:

## § setPlane

void ome::qtwidgets::NavigationDock2D::setPlane | ( | ome::files::dimension_size_type | plane | ) |
| slot

Set the current plane for the series.

Parameters

  plane | the image plane.

References currentPlane, plane(), planeChanged(), reader, series, sliders, and spinboxes.

Referenced by setReader(), sliderChangedDimension(), sliderChangedPlane(), spinBoxChangedDimension(), and spinBoxChangedPlane().

Here is the caller graph for this function:

## § setReader()

void ome::qtwidgets::NavigationDock2D::setReader | ( | ome::compat::shared_ptr< ome::files::FormatReader > | reader,
|  | ome::files::dimension_size_type | series = `0`,
|  | ome::files::dimension_size_type | plane = `0`
| ) |  |

Set reader, including current series and plane position.

Parameters

  reader | the image reader.
  series | the image series.
  plane | the image plane.

References labels, reader, series, setPlane(), sliders, and spinboxes.

Referenced by NavigationDock2D().

Here is the caller graph for this function:

## § sliderChangedDimension

void ome::qtwidgets::NavigationDock2D::sliderChangedDimension | ( | int | dim | ) |
| privateslot

Update the current plane number (from dimension slider).

Parameters

  dim | the index of the dimension slider.

References reader, series, setPlane(), and sliders.

Referenced by NavigationDock2D().

Here is the caller graph for this function:

## § sliderChangedPlane

void ome::qtwidgets::NavigationDock2D::sliderChangedPlane | ( | int | plane | ) |
| privateslot

Update the current plane number (from slider).

Parameters

  plane | the new image plane.

References setPlane().

Referenced by NavigationDock2D().

Here is the caller graph for this function:

## § spinBoxChangedDimension

void ome::qtwidgets::NavigationDock2D::spinBoxChangedDimension | ( | int | dim | ) |
| privateslot

Update the current plane number (from dimension spinbox).

Parameters

  dim | the index of the dimension spinbox.

References reader, series, setPlane(), and spinboxes.

Referenced by NavigationDock2D().

Here is the caller graph for this function:

## § spinBoxChangedPlane

void ome::qtwidgets::NavigationDock2D::spinBoxChangedPlane | ( | int | plane | ) |
| privateslot

Update the current plane number (from spinbox).

Parameters

  plane | the new image plane.

References setPlane().

Referenced by NavigationDock2D().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- ome/qtwidgets/NavigationDock2D.h
- ome/qtwidgets/NavigationDock2D.cpp